---
apiVersion: monitoring.coreos.com/v1
kind: ServiceMonitor
metadata:
  creationTimestamp: "2025-10-27T11:32:40Z"
  generation: 1
  labels:
    app.kubernetes.io/component: exporter
    app.kubernetes.io/managed-by: cluster-monitoring-operator
    app.kubernetes.io/name: kube-state-metrics
    app.kubernetes.io/part-of: openshift-monitoring
    app.kubernetes.io/version: 2.15.0
    monitoring.openshift.io/collection-profile: full
  managedFields:
  - apiVersion: monitoring.coreos.com/v1
    fieldsType: FieldsV1
    fieldsV1:
      f:metadata:
        f:labels:
          .: {}
          f:app.kubernetes.io/component: {}
          f:app.kubernetes.io/managed-by: {}
          f:app.kubernetes.io/name: {}
          f:app.kubernetes.io/part-of: {}
          f:app.kubernetes.io/version: {}
          f:monitoring.openshift.io/collection-profile: {}
      f:spec:
        .: {}
        f:endpoints: {}
        f:jobLabel: {}
        f:namespaceSelector: {}
        f:scrapeClass: {}
        f:selector: {}
    manager: operator
    operation: Update
    time: "2025-10-27T11:32:40Z"
  name: kube-state-metrics
  namespace: openshift-monitoring
  resourceVersion: "11802"
  uid: 25189b47-88d2-4e04-80a0-bb5e5d474be2
spec:
  endpoints:
  - honorLabels: true
    interval: 1m
    metricRelabelings:
    - action: labeldrop
      regex: instance
    port: https-main
    relabelings:
    - action: labeldrop
      regex: pod
    scheme: https
    scrapeTimeout: 1m
    tlsConfig:
      ca: {}
      cert: {}
      insecureSkipVerify: false
      serverName: kube-state-metrics.openshift-monitoring.svc
  - interval: 1m
    port: https-self
    scheme: https
    scrapeTimeout: 1m
    tlsConfig:
      ca: {}
      cert: {}
      insecureSkipVerify: false
      serverName: kube-state-metrics.openshift-monitoring.svc
  jobLabel: app.kubernetes.io/name
  namespaceSelector: {}
  scrapeClass: tls-client-certificate-auth
  selector:
    matchLabels:
      app.kubernetes.io/component: exporter
      app.kubernetes.io/name: kube-state-metrics
      app.kubernetes.io/part-of: openshift-monitoring
